      LOGICAL ICOLAMP(6,21,52)
      DATA(ICOLAMP(I,1,1),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,1),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,1),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,4,1),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,1),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,6,1),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,7,1),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,8,1),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,9,1),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,10,1),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,11,1),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,12,1),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,1),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,1),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,2),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,2),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,2),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,4,2),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,2),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,2),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,2),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,15,2),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,2),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,2),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,2),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,2),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,2),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,2),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,1,3),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,2,3),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,3),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,4,3),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,3),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,6,3),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,7,3),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,8,3),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,9,3),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,10,3),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,11,3),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,12,3),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,3),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,14,3),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,4),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,4),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,4),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,4,4),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,4),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,6,4),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,7,4),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,8,4),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,9,4),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,10,4),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,11,4),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,12,4),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,4),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,4),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,5),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,5),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,5),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,4,5),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,5),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,5),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,5),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,15,5),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,5),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,5),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,5),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,5),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,5),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,5),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,1,6),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,6),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,6),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,4,6),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,6),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,6,6),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,7,6),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,8,6),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,9,6),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,10,6),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,11,6),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,12,6),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,6),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,6),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,7),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,7),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,7),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,4,7),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,7),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,7),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,7),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,15,7),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,7),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,7),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,7),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,7),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,7),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,7),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,1,8),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,8),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,8),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,4,8),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,8),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,6,8),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,7,8),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,8,8),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,9,8),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,10,8),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,11,8),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,12,8),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,8),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,8),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,9),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,9),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,9),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE./
      DATA(ICOLAMP(I,4,9),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,9),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,9),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,9),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,15,9),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,9),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,9),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,9),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,9),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,9),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,9),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,1,10),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,2,10),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,10),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,4,10),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,10),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,6,10),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,7,10),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,8,10),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,9,10),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,10,10),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,11,10),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,12,10),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,10),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,14,10),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,11),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,2,11),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,11),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,4,11),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,11),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,6,11),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,7,11),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,8,11),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,9,11),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,10,11),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,11,11),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,12,11),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,11),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,14,11),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,12),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,2,12),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,12),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,4,12),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,12),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,6,12),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,7,12),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,8,12),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,9,12),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,10,12),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,11,12),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,12,12),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,12),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,14,12),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,15,13),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,13),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,13),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,13),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,13),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,13),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,13),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,1,14),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,14),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,14),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,14),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,14),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,14),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,14),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,15),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,15),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,15),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,15),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,15),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,15),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,15),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,15,16),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,16),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,16),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,16),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,16),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,16),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,16),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,1,17),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,17),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,17),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,17),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,17),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,17),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,17),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,18),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,18),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,18),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,18),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,18),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,18),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,18),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,15,19),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,19),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,19),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,19),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,19),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,19),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,19),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,1,20),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,20),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,20),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,20),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,20),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,20),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,20),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,21),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,21),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,21),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,21),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,21),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,21),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,21),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,22),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,22),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,22),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,22),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,22),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,22),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,22),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,23),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,2,23),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,23),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,4,23),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,23),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,13,23),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,14,23),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,24),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,24),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,24),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,24),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,24),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,24),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,24),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,25),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,2,25),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,25),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,4,25),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,25),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,13,25),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,14,25),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,26),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,26),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,26),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,26),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,26),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,26),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,26),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,27),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,2,27),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,27),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,4,27),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,27),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,13,27),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,14,27),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,15,28),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,28),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,28),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,28),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,28),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,28),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,28),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,15,29),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,29),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,29),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,29),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,29),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,29),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,29),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,15,30),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,30),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,30),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,30),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,30),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,30),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,30),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,1,31),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,31),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,31),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,31),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,31),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,31),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,31),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,32),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,32),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,32),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,32),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,32),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,32),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,32),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,15,33),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,33),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,33),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,33),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,33),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,33),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,33),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,15,34),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,34),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,34),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,34),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,34),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,34),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,34),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,1,35),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,35),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,35),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,35),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,35),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,35),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,35),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,36),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,36),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,36),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,36),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,36),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,36),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,36),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,37),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,37),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,37),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,37),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,37),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,37),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,37),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,38),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,38),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,38),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,38),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,38),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,38),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,38),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,15,39),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,39),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,39),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,39),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,39),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,39),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,39),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,15,40),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,40),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,40),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,40),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,40),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,40),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,40),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,1,41),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,41),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,41),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,41),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,41),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,41),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,41),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,42),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,42),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,42),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,42),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,42),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,42),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,42),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,43),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,43),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,43),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,43),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,43),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,43),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,43),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,44),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,44),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,44),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,44),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,44),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,44),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,44),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,15,45),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,45),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,45),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,45),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,45),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,45),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,45),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,15,46),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,46),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,46),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,46),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,46),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,46),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,46),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,15,47),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,16,47),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,17,47),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,18,47),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,19,47),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,20,47),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.TRUE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,21,47),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,1,48),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,2,48),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,48),I=1,6)/.FALSE.,.TRUE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,4,48),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,48),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,13,48),I=1,6)/.FALSE.,.TRUE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,14,48),I=1,6)/.FALSE.,.FALSE.,.TRUE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,49),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,2,49),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,49),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,4,49),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,49),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,13,49),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,14,49),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,50),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,2,50),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,50),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,4,50),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,50),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,13,50),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,14,50),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,51),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,2,51),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,51),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,4,51),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,51),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,13,51),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,14,51),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,1,52),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,2,52),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,3,52),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,4,52),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
      DATA(ICOLAMP(I,5,52),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,13,52),I=1,6)/.FALSE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.TRUE.,.FALSE./
      DATA(ICOLAMP(I,14,52),I=1,6)/.TRUE.,.FALSE.,.FALSE.,.FALSE.
     $ ,.FALSE.,.FALSE./
